org.apache.commons.codec.language

## Class DoubleMetaphone.DoubleMetaphoneResult

- java.lang.Object
- - org.apache.commons.codec.language.DoubleMetaphone.DoubleMetaphoneResult

- Enclosing class:
    DoubleMetaphone

      public class DoubleMetaphone.DoubleMetaphoneResult
      extends Object

  Inner class for storing results, since there is the optional alternate encoding.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DoubleMetaphoneResult(int maxLength)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `append(char value)`
    `void` | `append(char primary, char alternate)`
    `void` | `append(String value)`
    `void` | `append(String primary, String alternate)`
    `void` | `appendAlternate(char value)`
    `void` | `appendAlternate(String value)`
    `void` | `appendPrimary(char value)`
    `void` | `appendPrimary(String value)`
    `String` | `getAlternate()`
    `String` | `getPrimary()`
    `boolean` | `isComplete()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DoubleMetaphoneResult

          public DoubleMetaphoneResult(int maxLength)

  - ### Method Detail

    - #### append

          public void append(char value)

    - #### append

          public void append(char primary,
                             char alternate)

    - #### appendPrimary

          public void appendPrimary(char value)

    - #### appendAlternate

          public void appendAlternate(char value)

    - #### append

          public void append(String value)

    - #### append

          public void append(String primary,
                             String alternate)

    - #### appendPrimary

          public void appendPrimary(String value)

    - #### appendAlternate

          public void appendAlternate(String value)

    - #### getPrimary

          public String getPrimary()

    - #### getAlternate

          public String getAlternate()

    - #### isComplete

          public boolean isComplete()

Copyright © 2002–2019 The Apache Software Foundation. All rights reserved.